cURL
curl --request POST \
--url https://{portalApiUrl}/take/get_all_for_user/{user_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"start": 0,
"limit": 20,
"criterias": []
}
'import requests
url = "https://{portalApiUrl}/take/get_all_for_user/{user_id}"
payload = {
"start": 0,
"limit": 20,
"criterias": []
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: 0, limit: 20, criterias: []})
};
fetch('https://{portalApiUrl}/take/get_all_for_user/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"total": 123,
"result": [
{
"take_id": 123,
"take_product_id": 123,
"take_user_id": 123,
"take_score": 123,
"take_started_date": "2023-11-07T05:31:56Z",
"take_completed_date": "2023-11-07T05:31:56Z",
"take_created_date": "2023-11-07T05:31:56Z",
"take_updated_date": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"message": "<string>"
}Take
Get all takes for user
POST
/
take
/
get_all_for_user
/
{user_id}
cURL
Authorizations
Authentication token obtained from POST /token
Path Parameters
ID of the user
Body
application/json
⌘I